Register Members List Search Today's Posts Mark Forums Read

Reply
 
Thread Tools
  #1  
Old 29 Jul 2012, 19:37
SiSoft SiSoft is offline
 
Join Date: Mar 2009
Real name: Yassine BENABBOU
Upgrade from 3.0.12 to 3.8.6

Hi,
I want to upgrade my forum to 3.8.6, the current version is 3.0.12
Can I upgrade it normally ? or I have to upgrade from 3.0.12 to 3.6 then from 3.6 to 3.8.6

And another thing, the 3.0.12 works on php5 ?


Thanks
Reply With Quote
  #2  
Old 29 Jul 2012, 19:51
borbole's Avatar
borbole borbole is offline
 
Join Date: Jan 2010
I am not familiar with the 3x versions and their server requirements but regarding the upgrade you can upgrade directly to 3.8.6. And don''t forget to make a backup of the db before the upgrade.
__________________
My mods.
Reply With Quote
  #3  
Old 29 Jul 2012, 20:07
vijayninel's Avatar
vijayninel vijayninel is offline
 
Join Date: Mar 2009
Real name: Vijay
Originally Posted by SiSoft View Post
Hi,
I want to upgrade my forum to 3.8.6, the current version is 3.0.12
!!! surely you mean 3.6.12 and not 3.0.12 ? Since you version is quite old there may be problems while upgrading. You could try this out in a test server to see how it goes. If there are problems you could import data to a new installation of 3.8.6.
Reply With Quote
  #4  
Old 30 Jul 2012, 01:09
peterska2 peterska2 is offline
 
Join Date: Oct 2003
Real name: Kerry-Anne (really!)
Hey!

3.0.x won't run on php5

Before doing anything, backup and backup again to be safe.

Never ever import instead of upgrading. It's the sure fire way to break things!

You'll need to redo the config.php file as that changed between 3.0.x and 3.5.x

A few things to do in advance:
- A clean install of the version you are upgrading to on a test site to convert your style. Styles have changed a lot since 3.0.x unless you have only made CSS changes in which case those will still apply after upgrading.
- Practice your upgrade on a test board using a copy of your live database. It will give you an idea of how long it takes and also any issues you may have can be worked out before upgrading your live site.

To upgrade:

- Close your live board
- Backup
- Backup again
- Upload the 3.8.[whatever the number is these days] files overwriting your existing files
- Redo config.php
- Run the upgrade script
- Be patient - some parts take a long time to run, especially the 3.5.0 beta upgrade sections and the 3.6.0 beta sections.
- When the upgrade script has finished, import your style that you updated on your test board
- Check for problems
- Open your site again

If you've got modifications on your site, they won't work any more. However, once you get used to it, you'll find the plugin system a pleasure to work with instead of editing files.

Good luck with the upgrade
__________________
Kerry-Anne
Previously known as peterska2

My Sites: peterska2.co.uk Super Clickers World News Zone English Football League Popular Usenet Groups
Do NOT PM or email me for Support or Modification Requests - No Exceptions!!
I do NOT do custom requests. Do not ask for them. - No Exceptions!!
Reply With Quote
Reply



Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


New To Site? Need Help?

All times are GMT. The time now is 08:45.

Layout Options | Width: Wide Color: